import { AuthUser, type OAuth2Token } from "./auth.js";
import { BaseProvider } from "./base_provider.js";
export declare const NameKakao = "kakao";
export declare class Kakao extends BaseProvider {
    constructor();
    FetchAuthUser(token: OAuth2Token): Promise<AuthUser>;
}
